Subject: Re: bug#59481: 29.0.50; c-ts-mode doesn't play nicely with pixel-scroll-precision-mode

From: Po Lu <[email-masked]>
Date: Wed, 23 Nov 2022 08:45:51 +0800

Yuan Fu <[email-masked]> writes:

> How do you decide if the scrolling is fast or not? Maybe you are seeing
> palpable lags? I’m using macOS with the builtin trackpad, and scrolling
> is pretty snappy. Maybe this only happens on Linux? I’m also seeing
> random error faces (albeit not on brackets), could this relate to some
> particular way pixel-scrolling works? Does pixel-scrolling do anything
> special comparing to normal scrolling when fontifying text?

Likely not, it just uses the normal jit-lock fontification like everyone
else.  I suggest comparing the speed of scrolling with that of
emacs-lisp-mode, and maybe setting ns-scroll-event-delta-factor to 3 or
4.

Thanks.